## org.apache.http.client.protocol
Class RequestAddCookies

    java.lang.Object
      org.apache.http.client.protocol.RequestAddCookies

All Implemented Interfaces:
  HttpRequestInterceptor

    @Immutable
    public class RequestAddCookies

extends Object
implements HttpRequestInterceptor

Request interceptor that matches cookies available in the current `CookieStore` to the request being executed and generates corresponding `Cookie` request headers.

The following parameters can be used to customize the behavior of this class:

- `CookieSpecPNames.DATE_PATTERNS`
- `CookieSpecPNames.SINGLE_COOKIE_HEADER`
- `ClientPNames.COOKIE_POLICY`

Since:
  4.0

Constructor Summary
`RequestAddCookies()`

Method Summary
`void` `process(HttpRequest request, HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestAddCookies

    public RequestAddCookies()

Method Detail

### process

    public void process(HttpRequest request,
                        HttpContext context)
                 throws HttpException,
                        IOException

  Specified by:
    `process` in interface `HttpRequestInterceptor`
  Throws:
    `HttpException`
    `IOException`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.